TAAS - Change Request #301

PENDING WORKS, WORKFLOW, VALIDATIONS and LOGICS etc.. Mainly For NEW DESIGN
02/09/2024 10:51 AM - Junaid M

Status: New Start date: 02/09/2024
Priority: Normal Due date:

Assignee: travvise Admin % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Common

Description

History

#1 - 02/09/2024 10:51 AM - Junaid M

[GDS Capture]

e Add Serverside Billing tax integration
¢ Create auto invoice, auto refund, issue/cancel/void apis
e If get customer code, then perform invoicing
[GUI Changes Modules]
e Validation-> red highlighting in widgets
[Account Modules]
¢ Approval-popup

[Document Modules]

e Approval-popup
e Add Print
¢ In All Documents Add Insert to Log table feature

[SALE/REFUND]

(To Discuss) In Sale Master Customer/Sharing Customer add Mainledger option
Cash Sale Merge RV Posting if Same Party

Lazy load heay component for fast loading

Custom Print Option

Party Credit Limit Checking

[Issue/Cancel Modules]

* Set/Fee, Set Srvice rate gui changes in issue/cancel code
e Custom data tab
e Posting In Issue/ Cancel Modal

[Data Filterations]

e User level branch filteration
e Accouts branch level filteration
e Approved Account Filteration

[Technical Blockers]

¢ Add Arabic font to project

e Set Document Code (Newly added Codes in 'Document Code' tab are not getting assigned to the 'Code' field in 'Set Document Code' tab  on
its Save button click of the Dx-Grid.
Codes edited in ‘Document Code’ tab aren’t reflected in ‘Set Document Code’ tab’s 'Code’ field on DX-Grid until ‘Update’  button is clicked. But,
they are visible in the Dx-Grid's Select Box.)
[BSP File Import]

e Multi-Currency Bsp file importing
[Not Reported Sale]

¢ Include Voucher Stock
[Receipt]

e Changing the amount of root document after partial/fully conversion of the cheque.
--during partial conversion amount change should not be below the amount in partial conversion.

#2 - 11/30/2024 01:24 PM - Anil KV
- Subject changed from Pending Works to PENDING WORKS, WORKFLOW, VALIDATIONS and LOGICS etc.. Mainly For NEW DESIGN
